Messaging Configs

Update Specific Messaging Config Options

PATCH
/v1/MessagingConfigs/{sid}

Updates options for the specified Messaging Config. Updates only the options that are passed in the request and are not null, does not change other values.

AuthorizationBasic <token>

Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.

In: header

Path Parameters

sid*string

Messaging Config Sid.

Match^(MC)[0-9a-f]{32}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create / Update Messaging Config Request.

Response Body

curl -X PATCH "https://example.com/v1/MessagingConfigs/string" \  -H "Content-Type: application/json" \  -d '{    "inboundCallbackUrl": "https://example.com/inboundMessage?source=telgorithm",    "outboundCallbackUrl": "https://example.com/outboundMessage?source=telgorithm",    "optInOutCallbackUrl": "https://example.com/optInOut?source=telgorithm",    "tcrCampaignId": "C123ABC",    "name": "I am messaging config",    "authorizationBearer": "MySecretToken123",    "sendingTimes": {      "timeZoneId": "America/Los_Angeles",      "periods": [        {          "from": "09:30:00",          "to": "19:00:00"        }      ]    },    "optInOutSettings": {      "useTcrCampaignSettings": false,      "optInKeywords": [        "SUBSCRIBE",        "CONTINUE"      ],      "optOutKeywords": [        "EXIT",        "STOPNOW"      ],      "helpKeywords": [        "INFO"      ],      "optInMessage": "You are subscribed to messages from this sender. Msg frequency varies. Reply HELP for help or STOP to unsubscribe. Msg & data rates may apply.",      "optOutMessage": "You are unsubscribed. You will no longer receive messages from this sender. Reply START to resubscribe. Msg & data rates may apply.",      "helpMessage": "Reply STOP to unsubscribe. Msg & data rates may apply."    }  }'
{  "tcrCampaign": {    "id": "C123ABC",    "name": "Customer care campaign",    "tcrBrand": {      "id": "B123ABC",      "name": "My Best Company Inc"    }  },  "sid": "MCf4f1e0ccde19431ebde74a9f2996afa0",  "createdOn": "2023-09-09T15:00:00.000Z",  "outboundCallbackUrl": "https://example.com/outboundMessage?source=telgorithm",  "inboundCallbackUrl": "https://example.com/inboundMessage?source=telgorithm",  "optInOutCallbackUrl": "string",  "tcrCampaignId": "C123ABC",  "name": "I am messaging config",  "authorizationBearer": "MySecretToken123",  "sendingTimes": {    "timeZoneId": "America/Los_Angeles",    "periods": [      {        "from": "09:30:00",        "to": "19:00:00"      }    ]  },  "optInOutSettings": {    "optInKeywords": [      "START",      "UNSTOP",      "SUBSCRIBE",      "CONTINUE"    ],    "optOutKeywords": [      "STOP",      "QUIT",      "END",      "UNSUBSCRIBE",      "EXIT",      "STOPNOW"    ],    "helpKeywords": [      "HELP",      "INFO"    ],    "optInMessage": "You are subscribed to messages from this sender. Msg frequency varies. Reply HELP for help or STOP to unsubscribe. Msg & data rates may apply.",    "optOutMessage": "You are unsubscribed. You will no longer receive messages from this sender. Reply START to resubscribe. Msg & data rates may apply.",    "helpMessage": "Reply STOP to unsubscribe. Msg & data rates may apply."  }}
{  "errors": {    "Name": [      "The Name field is required."    ]  },  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "One or more validation errors occurred.",  "status": 400,  "detail": "Some detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}
{  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",  "title": "Not found",  "status": 404,  "detail": "Not found detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}